import http from "@/api/http.js"

/* 视频管理模块 */

export default{
    /**
     * 新增/编辑视频
     */
    saveVideo:params=>{
        return http.post('/yb/community/video/save',params)
    },

    /**
     * 视频列表
     */
    videoList:params=>{
        return http.get('/yb/community/video/list',params)
    },

    /**
     * 发布\取消发布视频
     */
    published:params=>{
        return http.post('/yb/community/video/publish',params)
    },

    /**
     * 删除视频
     */
    delVideo:params=>{
        return http.post('/yb/community/video/delete',params)
    },

    /**
     * 推送客群
     */
    sendMsg:params=>{
        return http.post('/yb/community/video/send_ths',params)
    },

    //推送模版消息
    sendTempMsg:params=>{
        return http.post('/yb/community/video/send_template_msg',params)
    },

    /**
     * 点击量详情
     */
    videoLogList:params=>{
        return http.get('/yb/community/video/click/logs',params)
    },

    /**
     * 视频封面图片列表
     */
    videoCoverImgList:params=>{
        return http.get('/yb/community/video/cover_list',params)
    },

    /**
     * 编辑/保存视频封面
     * CoverId
     * CoverName
     * CoverUrl
     */
    videoCoverImgSave:params=>{
        return http.post('/yb/community/video/cover_save',params)
    },

    //删除封面图
    videoCoverImgDel:params=>{
        return http.post('/yb/community/video/cover_delete',params)
    },

    //路演视频列表
    roadVideoList:params=>{
        return http.get('/yb/road/video/list',params)
    },

    /**
     * 路演视频 新增/编辑视频
     */
    roadSaveVideo:params=>{
        return http.post('/yb/road/video/save',params)
    },

    /**
     * 发布\取消发布视频
     */
    roadPublished:params=>{
        return http.post('/yb/road/video/publish',params)
    },

    /**
     * 删除视频
     */
    roadDelVideo:params=>{
        return http.post('/yb/road/video/delete',params)
    },

    /**
     * 推送客群
     */
    roadSendMsg:params=>{
        return http.post('/yb/road/video/send_ths',params)
    },

    //推送模版消息
    roadSendTempMsg:params=>{
        return http.post('/yb/road/video/send_template_msg',params)
    },

    //获取品种
    getPermissionList:()=>{
        return http.get('/yb/road/permission',{})
    },
    
    /**
     * 点击量详情
     */
    roadVideoLogList:params=>{
        return http.get('/yb/road/video/click/logs',params)
    },

    /**
     * 弹幕列表
     */
    bulletChatList:params=>{
        return http.get('/yb/bullet_chat/list',params)
    },

    /**
     * 删除弹幕
     */
    bulletChatDel:params=>{
        return http.post('/yb/bullet_chat/delete',params)
    },

    //关联报告类型
    getReportType:params=>{
      return http.get('/yb/road/video/two_week_classify_list',params)
    },
    //关联报告列表 ClassifyIdSecond 报告类型id
    getReportList:params=>{
      return http.get('/yb/road/video/simple_report_list',params)
    },

    //路演视频推送消息（客群和模板消息）
    roadMsgPush:params=>{
        return http.post('/yb/road/video/send_msg',params)
    },

    //5分钟视频推送消息（客群和模板消息）
    msgPush:params=>{
        return http.post('/yb/community/video/send_msg',params)
    },

}




